net.minecraft.tileentity

## Class TileEntityEnchantmentTable

- java.lang.Object
- - net.minecraft.tileentity.TileEntity
  - - net.minecraft.tileentity.TileEntityEnchantmentTable

-     public class TileEntityEnchantmentTable
      extends TileEntity

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float` | `field_145924_q`
    `float` | `field_145925_p`
    `int` | `field_145926_a`
    `float` | `field_145927_n`
    `float` | `field_145928_o`
    `float` | `field_145929_l`
    `float` | `field_145930_m`
    `float` | `field_145931_j`
    `float` | `field_145932_k`
    `float` | `field_145933_i`

    - ### Fields inherited from class net.minecraft.tileentity.TileEntity

      `blockMetadata, blockType, INFINITE_EXTENT_AABB, tileEntityInvalid, worldObj, xCoord, yCoord, zCoord`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TileEntityEnchantmentTable()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `func_145919_a()`
    `void` | `func_145920_a(java.lang.String p_145920_1_)`
    `boolean` | `func_145921_b()`
    `void` | `readFromNBT(NBTTagCompound p_145839_1_)`
    `void` | `updateEntity()`
    `void` | `writeToNBT(NBTTagCompound p_145841_1_)`

    - ### Methods inherited from class net.minecraft.tileentity.TileEntity

      `addMapping, canUpdate, createAndLoadEntity, func_145828_a, getBlockMetadata, getBlockType, getDescriptionPacket, getDistanceFrom, getMaxRenderDistanceSquared, getRenderBoundingBox, getWorldObj, hasWorldObj, invalidate, isInvalid, markDirty, onChunkUnload, onDataPacket, receiveClientEvent, setWorldObj, shouldRefresh, shouldRenderInPass, updateContainingBlockInfo, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field_145926_a

          public int field_145926_a

    - #### field_145933_i

          public float field_145933_i

    - #### field_145931_j

          public float field_145931_j

    - #### field_145932_k

          public float field_145932_k

    - #### field_145929_l

          public float field_145929_l

    - #### field_145930_m

          public float field_145930_m

    - #### field_145927_n

          public float field_145927_n

    - #### field_145928_o

          public float field_145928_o

    - #### field_145925_p

          public float field_145925_p

    - #### field_145924_q

          public float field_145924_q

  - ### Constructor Detail

    - #### TileEntityEnchantmentTable

          public TileEntityEnchantmentTable()

  - ### Method Detail

    - #### writeToNBT

          public void writeToNBT(NBTTagCompound p_145841_1_)

      Overrides:
        `writeToNBT` in class `TileEntity`

    - #### readFromNBT

          public void readFromNBT(NBTTagCompound p_145839_1_)

      Overrides:
        `readFromNBT` in class `TileEntity`

    - #### updateEntity

          public void updateEntity()

      Overrides:
        `updateEntity` in class `TileEntity`

    - #### func_145919_a

          public java.lang.String func_145919_a()

    - #### func_145921_b

          public boolean func_145921_b()

    - #### func_145920_a

          public void func_145920_a(java.lang.String p_145920_1_)